## visad.data
Class FormFamily

    java.lang.Object
      visad.data.FormNode
          visad.data.FormFamily

Direct Known Subclasses:
  FunctionFormFamily

public class FormFamily
extends FormNode

A interior node in the data form hierarchy for the storage of persistent data objects.

Field Summary
`protected Vector` `forms` The children of this interior node.

Constructor Summary
`FormFamily(String name)` Construct an interior data-form node with the given name.

Method Summary
`void` `add(String id, Data data, boolean replace)` Add data to an existing data object.
`FormFamily` `addFormNode(FormNode node)` Add a child node to this family of data forms.
`FormNode` `getForms(Data data)` Return the data forms that are compatible with a data object.
`DataImpl` `open(String id)` Open an existing data object.
`DataImpl` `open(URL url)` Open an existing data object specified as a URL.
`void` `save(String id, Data data, boolean replace)` Save a VisAD data object.

Methods inherited from class visad.data.FormNode
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forms

    protected Vector forms

  The children of this interior node.

Constructor Detail

### FormFamily

    public FormFamily(String name)

  Construct an interior data-form node with the given name.

Method Detail

### save

    public void save(String id,
                     Data data,
                     boolean replace)
              throws BadFormException,
                     RemoteException,
                     IOException,
                     VisADException

  Save a VisAD data object.

  Specified by:
    `save` in class `FormNode`
  Throws:
    `BadFormException`
    `RemoteException`
    `IOException`
    `VisADException`

### add

    public void add(String id,
                    Data data,
                    boolean replace)
             throws BadFormException

  Add data to an existing data object.

  Specified by:
    `add` in class `FormNode`
  Throws:
    `BadFormException`

### open

    public DataImpl open(String id)
                  throws BadFormException,
                         IOException,
                         VisADException

  Open an existing data object.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### open

    public DataImpl open(URL url)
                  throws BadFormException,
                         IOException,
                         VisADException

  Open an existing data object specified as a URL.

  Specified by:
    `open` in class `FormNode`
  Throws:
    `BadFormException`
    `IOException`
    `VisADException`

### getForms

    public FormNode getForms(Data data)
                      throws RemoteException,
                             VisADException,
                             IOException

  Return the data forms that are compatible with a data object.

  Specified by:
    `getForms` in class `FormNode`
  Throws:
    `RemoteException`
    `VisADException`
    `IOException`

### addFormNode

    public FormFamily addFormNode(FormNode node)

  Add a child node to this family of data forms.